<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ru.investor.investor</groupId>
        <artifactId>dependency-management-bom</artifactId>
        <version>0.0.2</version>
        <relativePath>../dependency-management-bom/pom.xml</relativePath>
    </parent>

    <artifactId>migration</artifactId>

    <dependencies>
        <dependency>
            <groupId>org.postgresql</groupId>
            <artifactId>postgresql</artifactId>
        </dependency>
        <dependency>
            <groupId>org.liquibase</groupId>
            <artifactId>liquibase-core</artifactId>
            <version>${liquibase-core.version}</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.liquibase</groupId>
                <artifactId>liquibase-maven-plugin</artifactId>
                <version>4.9.1</version>
                <configuration>
                    <changelogSchemaName>public</changelogSchemaName>
                    <propertyFile>src/main/resources/application.properties</propertyFile>
                    <changeLogFile>src/main/resources/db/master.xml</changeLogFile>
                    <dataDir>src/main/resources/db/data</dataDir>
                    <!-- log  -->
                    <verbose>false</verbose>
                    <logging>debug</logging>
                    <promptOnNonLocalDatabase>false</promptOnNonLocalDatabase>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
